Package fr.gouv.vitam.logbook.common.parameters

# Enum Class LogbookParameterName

java.lang.Object
java.lang.Enum<LogbookParameterName>
fr.gouv.vitam.logbook.common.parameters.LogbookParameterName

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookParameterName>`, `Constable`

public enum LogbookParameterName extends Enum<LogbookParameterName>
Enum with all possible logbook parameters
Use to set parameter value and to check emptiness or nullity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `agentIdentifier`
  Set by the Logbook client: Server identifier
  `agentIdentifierApplication`
  Name of the remote application
  Can be null
  `agentIdentifierApplicationSession`
  Session (X-Application-Id) from the remote application
  Can be null
  `agentIdentifierPersonae`
  Hash of the personae certificate
  Can be null
  `agIdExt`
  Master Data Identifier
  `eventDateTime`
  Set by the Logbook client: date time of the event
  `eventDetailData`
  Event Detail Data on the current "process
  Can be null
  `eventIdentifier`
  Operation identifier: unique identifier created through GUIDFactory.newOperationIdGUID(tenant) at starting call and reused in end call (ok or error).
  It is the identifier of one action/step within one process (workflow).
  `eventIdentifierProcess`
  Process identifier: unique identifier for global operation workflow.
  `eventIdentifierRequest`
  W-Request-Id from top request
  `events`
  events list
  `eventType`
  Event type: should use one global Enum ActionType
  Could be for instance: "Unzip", "CheckSeda", ...
  `eventTypeProcess`
  Event ProcessType: should use one global Enum ProcessType
  Could be for instance: "Ingest", "Audit", ...
  `lifeCycleIdentifier`
  Lifecycle Identifier of the "process".
  `masterData`
  Master Data Identifier
  `objectIdentifier`
  Object Identifier of the "process".
  `objectIdentifierIncome`
  External Object Identifier on the current "process
  For instance: from Ingest, in the manifest.xml, this field is "MessageIdentifier"
  Can be null
  `objectIdentifierRequest`
  Object Identifier of the "process" using a request
  One of objectIdentifierRequest and objectIdentifier can be null but not both
  `outcome`
  Status between: "STARTED", "OK", "WARNING", "ERROR", "FATAL"
  One must use the StatusCode enum.
  `outcomeDetail`
  Vitam Code error as 404_nnnnnn where nnnnnn is the internal code error
  Can be null
  `outcomeDetailMessage`
  Message output, whatever the "outcome" status
  `parentEventIdentifier`
  Parent event identifier: created for every child event to link it to the parent event/opration/task
  It is the identifier of the parent event if exists
  `rightsStatementIdentifier`
  Master Data Identifier

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LogbookParameterName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookParameterName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### eventIdentifier

    public static final LogbookParameterName eventIdentifier
    Operation identifier: unique identifier created through GUIDFactory.newOperationIdGUID(tenant) at starting call and reused in end call (ok or error).
    It is the identifier of one action/step within one process (workflow).

  - ### parentEventIdentifier

    public static final LogbookParameterName parentEventIdentifier
    Parent event identifier: created for every child event to link it to the parent event/opration/task
    It is the identifier of the parent event if exists

  - ### eventType

    public static final LogbookParameterName eventType
    Event type: should use one global Enum ActionType
    Could be for instance: "Unzip", "CheckSeda", ...

  - ### eventDateTime

    public static final LogbookParameterName eventDateTime
    Set by the Logbook client: date time of the event

  - ### eventIdentifierProcess

    public static final LogbookParameterName eventIdentifierProcess
    Process identifier: unique identifier for global operation workflow.
    Primary key for Operation

  - ### eventTypeProcess

    public static final LogbookParameterName eventTypeProcess
    Event ProcessType: should use one global Enum ProcessType
    Could be for instance: "Ingest", "Audit", ...

  - ### outcome

    public static final LogbookParameterName outcome
    Status between: "STARTED", "OK", "WARNING", "ERROR", "FATAL"
    One must use the StatusCode enum.
    Note that first call should be using "STARTED", while second should be one of the others.

  - ### outcomeDetail

    public static final LogbookParameterName outcomeDetail
    Vitam Code error as 404_nnnnnn where nnnnnn is the internal code error
    Can be null

  - ### outcomeDetailMessage

    public static final LogbookParameterName outcomeDetailMessage
    Message output, whatever the "outcome" status

  - ### agentIdentifier

    public static final LogbookParameterName agentIdentifier
    Set by the Logbook client: Server identifier

  - ### agentIdentifierApplication

    public static final LogbookParameterName agentIdentifierApplication
    Name of the remote application
    Can be null

  - ### agentIdentifierPersonae

    public static final LogbookParameterName agentIdentifierPersonae
    Hash of the personae certificate
    Can be null

  - ### agentIdentifierApplicationSession

    public static final LogbookParameterName agentIdentifierApplicationSession
    Session (X-Application-Id) from the remote application
    Can be null

  - ### eventIdentifierRequest

    public static final LogbookParameterName eventIdentifierRequest
    W-Request-Id from top request

  - ### objectIdentifier

    public static final LogbookParameterName objectIdentifier
    Object Identifier of the "process".
    For instance: SIP GUID, but never ArchiveUnit GUID for an Operation
    For instance: ArchiveUnit GUID for a LifeCycle
    For instance: GOT GUID for a LifeCycle
    For instance: BDO GUID for a LifeCycle event of a distributed task
    Object Identifier
    One of objectIdentifierRequest and objectIdentifier can be null but not both

  - ### lifeCycleIdentifier

    public static final LogbookParameterName lifeCycleIdentifier
    Lifecycle Identifier of the "process".
    For instance: ArchiveUnit GUID for a LifeCycle.
    For instance: GOT GUID for a LifeCycle.
    Primary key for LifeCycle
    If null objectIdentifier is used to determine the LifeCycle to update.

  - ### objectIdentifierRequest

    public static final LogbookParameterName objectIdentifierRequest
    Object Identifier of the "process" using a request
    One of objectIdentifierRequest and objectIdentifier can be null but not both

  - ### objectIdentifierIncome

    public static final LogbookParameterName objectIdentifierIncome
    External Object Identifier on the current "process
    For instance: from Ingest, in the manifest.xml, this field is "MessageIdentifier"
    Can be null

  - ### masterData

    public static final LogbookParameterName masterData
    Master Data Identifier

  - ### rightsStatementIdentifier

    public static final LogbookParameterName rightsStatementIdentifier
    Master Data Identifier

  - ### agIdExt

    public static final LogbookParameterName agIdExt
    Master Data Identifier

  - ### eventDetailData

    public static final LogbookParameterName eventDetailData
    Event Detail Data on the current "process
    Can be null

  - ### events

    public static final LogbookParameterName events
    events list

- ## Method Details

  - ### values

    public static LogbookParameterName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookParameterName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null